Create a manual Trail occurrence without moving its schedule
Create a new manual run and its action runs immediately. The operation does not change the next scheduled occurrence. An archived Trail cannot start a manual run.
/trails/{trail_id}/runsCreate a new manual run and its action runs immediately. The operation does not change the next scheduled occurrence. An archived Trail cannot start a manual run.
In: cookie
Path Parameters
A unique identifier for this resource.
Response Body
application/json
application/json
curl -X POST "https://example.com/trails/cc5lnd2s1s4652adtu50/runs"{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"trail_id": "cc5lnd2s1s4652adtu50",
"trigger": {
"trail_id": "cc5lnd2s1s4652adtu50",
"trail_run_id": "cc5lnd2s1s4652adtu50",
"kind": "scheduled",
"trigger": {
"type": "schedule",
"schedule": {
"start": "2026-08-18T10:00:00",
"timezone": "string",
"rule": {
"frequency": "hourly",
"interval": 1,
"by_weekday": [
"monday"
],
"by_month": [
1
],
"by_month_day": [
-31
],
"count": 1
}
}
},
"scheduled_for": "2019-08-24T14:15:22Z",
"observed_at": "2019-08-24T14:15:22Z",
"initiated_by": "cc5lnd2s1s4652adtu50"
},
"status": "queued",
"scheduled_for": "2019-08-24T14:15:22Z",
"actions": [
{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"action": {
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"action": {
"type": "robot_run",
"robot_ref": "string",
"instruction": "string"
}
},
"status": "queued",
"output": null,
"target": {
"type": "robot_run",
"robot_session_id": "cc5lnd2s1s4652adtu50",
"output": {
"status": "completed",
"summary": "string",
"attention": {
"reason": "string",
"message": "string"
}
}
},
"error": "string",
"started_at": "2019-08-24T14:15:22Z",
"finished_at": "2019-08-24T14:15:22Z"
}
],
"finished_at": "2019-08-24T14:15:22Z"
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}List Trail run history GET
Return the 100 most recent runs for one Trail. Each run contains an immutable trigger snapshot and the independent result of every action binding. The result includes scheduled, manual, and skipped runs.
Preview the next five schedule occurrences POST
Validate a schedule and return its next five occurrences after the supplied time. The operation does not create or update a Trail. The calculation skips local times that do not exist and emits an ambiguous local time once.